<?
require("acesso.php");
$menu = "categorias";
$tipo_de_conteudo = "categorias";
$acao = $_GET[acao];
$tipo = $_GET[tipo];
if ($tipo=="2") {
	$tipo_extenso = "img_materias";
	$tipo_select = "materias";
} else {
$query_tipo = "SELECT * FROM tipo WHERE id='$tipo'";
$resultado_tipo = mysql_query($query_tipo);
$monta_select_tipo = mysql_fetch_array($resultado_tipo);
#Faz a cria&ccedil;ao das var&iacute;aveis pelo array do SELECT acima
$tipo_extenso = $monta_select_tipo["nome"];
$tipo_select = $monta_select_tipo["nome"];
}

$topo = "<!DOCTYPE html PUBLIC \"-//W3C//DTD XHTML 1.0 Transitional//EN\" \"http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd\">
<html xmlns=\"http://www.w3.org/1999/xhtml\">
<head>
<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\" />
<title>" . $nome_site . "</title>
<link href=\"estilos.css\" rel=\"stylesheet\" type=\"text/css\" />
</head>
<body>
";
$rodape = "</body>
</html>";

#Se acao for igual a apagar, apaga o registro
if($acao=="apagar") {
	#Pega o ID do conte&uacute;do pelo endere&ccedil;o da p&aacute;gina
	$id = $_GET[id];
	#Faz a sele&ccedil;&atilde;o no banco para a listagem do conte&uacute;do
	$query = "SELECT * FROM $tipo_select WHERE categoria='$id'";
	$resultado = mysql_query($query);
	$monta_select = mysql_fetch_array($resultado);
	#Faz a cria&ccedil;ao das var&iacute;aveis pelo array do SELECT acima
	$produto = $monta_select["nome"];
	#Se um produto existir n&atilde;o deixa apagar a categoria
	if($produto!="") {
	   header("Location: categorias.php?tipo=$tipo&info=falhou&causa=".urlencode('Existem itens cadastrados nesta categoria. A mesma n&atilde;o pode ser apagada!'));
	   exit;
	} else {
		#Faz a sele&ccedil;&atilde;o no banco para a listagem do conte&uacute;do
		$query_sub = "SELECT * FROM categorias WHERE subcategoria='$id'";
		$resultado_sub = mysql_query($query_sub);
		$monta_select_sub = mysql_fetch_array($resultado_sub);
		#Faz a cria&ccedil;ao das var&iacute;aveis pelo array do SELECT acima
		$sub = $monta_select_sub["nome"];
		#Se um produto existir n&atilde;o deixa apagar a categoria
		if($sub!="") {
		   header("Location: categorias.php?tipo=$tipo&info=falhou&causa=".urlencode('Existem subcategorias relacionadas a categoria. A mesma n&atilde;o pode ser apagada!'));
		   exit;
		} else {
			#Executa a Query q vai apagar o registro
			$query_deleta = "DELETE FROM categorias WHERE id='$id'";
			$deleta = mysql_query($query_deleta);
			#Apaga o diretório da categoria e todos os arquivos nele contido
			require("remove_dir.php");
			$dir = $endereco_fisico . "/" . $tipo_extenso . "/" . $id;
			removeTree($dir);
			if($tipo=="1") {
				$dir_banners = $endereco_fisico . "/banners/" . $id;
				removeTree($dir_banners);
			}
			if (!$deleta) {
			   header("Location: categorias.php?tipo=$tipo&info=falhou&causa=".urlencode('Ocorreu um Erro!'));
			   exit;
			}
			else {
			   header("Location: categorias.php?tipo=$tipo&info=ok&causa=".urlencode('Conte&uacute;do apagado com sucesso!'));
			   exit;
			}
		}
	}
#Verifica se a&ccedil;&atilde;o é igual a salvar, se for verdadeira salva o registro
} elseif ($acao=="salvar") {
	#Pega o ID do conte&uacute;do pelo hidden da p&aacute;gina, caso for salvar id vem vazio se vier preenchido é uma edi&ccedil;&atilde;o.
	#Edi&ccedil;&atilde;o
	$id = $_POST[id];
	if ($id!="") {
		$subcategoria = $_POST['subcategoria'];
		$nome = $_POST['nome'];
		$descricao = $_POST['descricao'];
		$agora = date("Y-m-d");
		#Verifica se j&aacute; existe um registro com este nome
		$query_verifica = "SELECT * FROM categorias WHERE nome='$nome' AND subcategoria='$subcategoria' AND id<>'$id'";
		$resultado_verifica = mysql_query($query_verifica);
		$monta_select_verifica = mysql_fetch_array($resultado_verifica);
		#Faz a cria&ccedil;ao das var&iacute;aveis pelo array do SELECT acima
		$verifica = $monta_select_verifica["nome"];
		if($verifica!="") {
		   header("Location: categorias.php?tipo=$tipo&info=falhou&causa=".urlencode('J&aacute; existe uma categoria com este nome. A a&ccedil;&atilde;o n&atilde;o foi executada.'));
		   exit;
		} else {
			$query = "UPDATE categorias SET subcategoria='$subcategoria', nome='$nome', descricao='$descricao', modificacao='$agora' WHERE id='$id'";
			$run = mysql_query($query);
			if (!$run) {
				header("Location: categorias.php?tipo=$tipo&info=falhou&causa=".urlencode('Ocorreu um Erro na Atualiza&ccedil;&atilde;o'));
				exit;
			}
			else {
				header("Location: categorias.php?tipo=$tipo&info=ok&causa=".urlencode('Categoria salva com sucesso!'));
				exit;
			}
		}
	#Salvar
	} else {
		$subcategoria = $_POST['subcategoria'];
		$nome = $_POST['nome'];
		$descricao = $_POST['descricao'];
		$agora = date("Y-m-d");
		#Verifica se j&aacute; existe um registro com este nome
		$query_verifica = "SELECT * FROM categorias WHERE nome='$nome' AND subcategoria='$subcategoria'";
		$resultado_verifica = mysql_query($query_verifica);
		$monta_select_verifica = mysql_fetch_array($resultado_verifica);
		#Faz a cria&ccedil;ao das var&iacute;aveis pelo array do SELECT acima
		$verifica = $monta_select_verifica["nome"];
		if($verifica!="") {
		   header("Location: categorias.php?tipo=$tipo&info=falhou&causa=".urlencode('J&aacute; existe uma categoria com este nome. A a&ccedil;&atilde;o n&atilde;o foi executada.'));
		   exit;
		} else {
			$query = "INSERT INTO categorias VALUES (NULL, '$subcategoria', '$nome', '$descricao', '$tipo', '$agora')";
			$run = mysql_query($query);
			#Pega o &uacute;ltimo ID adicionado para criar o diretório
			$query_ultimo = "SELECT * FROM categorias ORDER BY id DESC LIMIT 1";
			$resultado_ultimo = mysql_query($query_ultimo);
			$monta_select_ultimo = mysql_fetch_array($resultado_ultimo);
			#Faz a cria&ccedil;ao das var&iacute;aveis pelo array do SELECT acima
			$ultimo = $monta_select_ultimo["id"];
			#Cria o diretório com o id da categoria
			mkdir ("$endereco_fisico/$tipo_extenso/$ultimo", 0777 );
			#Cria o subdiretório para os thumbs com o id da categoria
			mkdir ("$endereco_fisico/$tipo_extenso/$ultimo/$caminho_imagens_thumbs", 0777 );
			#Cria um arquivo index.html em cada pasta para evitar acesso direto.
			$index_raiz = "$endereco_fisico/$tipo_extenso/$ultimo/index.html";
			$index_raiz_handle = fopen($index_raiz, 'w') or die("can't open file");
			fclose($index_raiz_handle);
			$index_thumbs = "$endereco_fisico/$tipo_extenso/$ultimo/$caminho_imagens_thumbs/index.html";
			$index_thumbs_handle = fopen($index_thumbs, 'w') or die("can't open file");
			fclose($index_thumbs_handle);
			if ($tipo=="1" OR $tipo=="2") {
				#Cria o diretório com o id da categoria
				mkdir ("$endereco_fisico/banners/$ultimo", 0777 );
				#Cria o subdiretório para os thumbs com o id da categoria
				mkdir ("$endereco_fisico/banners/$ultimo/$caminho_imagens_thumbs", 0777 );
				#Cria um arquivo index.html em cada pasta para evitar acesso direto.
				$index_raiz_banners = "$endereco_fisico/banners/$ultimo/index.html";
				$index_raiz_handle_banners = fopen($index_raiz_banners, 'w') or die("can't open file");
				fclose($index_raiz_handle_banners);
				$index_thumbs_banners = "$endereco_fisico/banners/$ultimo/$caminho_imagens_thumbs/index.html";
				$index_thumbs_handle_banners = fopen($index_thumbs_banners, 'w') or die("can't open file");
				fclose($index_thumbs_handle_banners);
			}
			if (!$run) {
				header("Location: categorias.php?tipo=$tipo&info=falhou&causa=".urlencode('Ocorreu um Erro na Inclus&atilde;o!'));
				exit;
			}
			else {
				header("Location: categorias.php?tipo=$tipo&info=ok&causa=".urlencode('Categoria salva com sucesso!'));
				exit;
			}
		}
	}
#Verifica se acao é igual a adicionar, se for verdadeira abre o formul&aacute;rio de cadastro
} elseif ($acao=="adicionar") {
#Faz a sele&ccedil;&atilde;o no banco para a listagem das categorias
$query_categorias = "SELECT * FROM categorias WHERE subcategoria='0' AND tipo='$tipo' ORDER BY nome ASC";
$resultado_categorias = mysql_query($query_categorias);
$monta_select_categorias = mysql_fetch_array($resultado_categorias);
echo $topo;
?>
	<script src="js/categorias.js" type="text/javascript"></script> 
    <form name="ficha" method="post" enctype="multipart/form-data" action="categorias.php?acao=salvar&tipo=<? echo $tipo; ?>" onSubmit="return enviardados();">
    <table width="700" border="0" cellspacing="0" cellpadding="0" align="center" style="background:url(images/fundo_painel.jpg) bottom right no-repeat;">
        <tr>
            <td>
                <table width="100%" border="0" cellspacing="0" cellpadding="0" style="border:3px #F2F2F2 double; padding:5px 10px 0px 10px; background-color:#FFFFFF;">
                  <tr>
                    <td><img src="images/icones/categorias.jpg" align="absmiddle" /><span class="titulo">Cadastrar Categoria</span></td>
                    <td width="100" align="center" class="texto"><input name="Salvar" type="image" src="images/icones/salvar.jpg" /><br />Salvar</a></td>
                    <td width="100" align="center" class="texto"><a href="categorias.php?tipo=<? echo $tipo; ?>"><img src="images/icones/categorias.jpg" border="0" /><br />Voltar</a></td>
                  </tr>
                </table>
                <table width="100%" border="0" cellspacing="0" cellpadding="0" class="texto" style="margin-top:20px;">
                  <tr>
                    <td height="27" colspan="2" align="left" style="padding:10px;">
                        <table width="100%" border="0" cellpadding="0" cellspacing="0" style="border:3px #F2F2F2 double;">
                          <tr>
                            <td width="43"><img src="images/icones/info.jpg" width="33" height="33" /></td>
                            <td>Adicione uma categoria ao banco de cadastros. Assim que for salva estar&aacute; dispon&iacute;vel no site. O nome e a subcategoria s&atilde;o campos de preenchimento obrigat&oacute;rio.</td>
                          </tr>
                        </table>                    </td>
                  </tr>
                  <tr>
                    <td width="130" height="27" align="right">Subcategoria: </td>
                    <td width="570" align="left">
                    	<select name="subcategoria" class="inputbox">
                          <option value="">Escolha uma Categoria</option>
                          <option value="0">Categoria Principal</option>
                    	<?php
						do {
							$id_categoria = $monta_select_categorias["id"];
							$nome_categoria = $monta_select_categorias["nome"];
							#Imprime o select com todas as categorias
							echo "<option value=\"$id_categoria\">$nome_categoria</option>\n";
							/*$query_subcategorias = "SELECT * FROM categorias WHERE subcategoria='$id_categoria' AND tipo='$tipo' ORDER BY nome ASC";
							$resultado_subcategorias = mysql_query($query_subcategorias);
							$monta_select_subcategorias = mysql_fetch_array($resultado_subcategorias);
							if ($monta_select_subcategorias) {
								do {
									$id_subcategoria = $monta_select_subcategorias["id"];
									$nome_subcategoria = $monta_select_subcategorias["nome"];
									#Imprime o select com todas as categorias
									echo "<option value=\"$id_subcategoria\">- $nome_subcategoria</option>\n";
								}
								while ($monta_select_subcategorias = mysql_fetch_array($resultado_subcategorias)); 
							} */
						}
						while ($monta_select_categorias = mysql_fetch_array($resultado_categorias)); 
						?>
                        </select>
                    </td>
                  </tr>
                  <tr>
                    <td width="130" height="27" align="right">Nome: </td>
                    <td width="570" align="left"><input name="nome" type="text" id="nome" class="inputbox" /></td>
                  </tr>
                  <tr>
                    <td width="130" height="27" align="right" valign="top">Descri&ccedil;&atilde;o: </td>
                    <td width="570" align="left"><textarea name="descricao" rows="10" id="descricao" class="inputbox"></textarea></td>
                  </tr>
                  <tr>
                    <td width="130" align="left">&nbsp;</td>
                    <td width="570" align="left" style="padding-top:15px;"><input name="Salvar" type="image" src="images/icones/salvar.jpg" /></td>
                  </tr>
              </table>
          </td>
        </tr>
    </table>
    </form>
<?php
#Verifica se acao é igual a editar, assim abre o formul&aacute;rio de edi&ccedil;ao
} elseif ($acao=="editar") {
	#Pega o ID do conte&uacute;do pelo endere&ccedil;o da p&aacute;gina
	$id = $_GET[id];
	#Faz a sele&ccedil;&atilde;o no banco para a listagem do conte&uacute;do que deseja editar
	$query = "SELECT * FROM categorias WHERE id='$id'";
	$resultado = mysql_query($query);
	$monta_select = mysql_fetch_array($resultado);
	#Faz a cria&ccedil;ao das var&iacute;aveis pelo array do SELECT acima
	$subcategoria = $monta_select["subcategoria"];
	$nome = $monta_select["nome"];
	$descricao = $monta_select["descricao"];
	#Faz o select para formar o combo da sele&ccedil;&atilde;o das categorias
	$query_categorias = "SELECT * FROM categorias WHERE subcategoria='0' and tipo='$tipo' ORDER BY nome ASC";
	$resultado_categorias = mysql_query($query_categorias);
	$monta_select_categorias = mysql_fetch_array($resultado_categorias);
	echo $topo;
?>
	<script src="js/categorias.js" type="text/javascript"></script> 
    <form name="ficha" method="post" enctype="multipart/form-data" action="categorias.php?acao=salvar&tipo=<? echo $tipo; ?>" onSubmit="return enviardados();">
    <table width="700" border="0" cellspacing="0" cellpadding="0" align="center" style="background:url(images/fundo_painel.jpg) bottom right no-repeat;">
        <tr>
            <td>
                <table width="100%" border="0" cellspacing="0" cellpadding="0" style="border:3px #F2F2F2 double; padding:5px 10px 0px 10px; background-color:#FFFFFF;">
                  <tr>
                    <td><img src="images/icones/categorias.jpg" align="absmiddle" /><span class="titulo">Editar Categoria</span></td>
                    <td width="100" align="center" class="texto"><input name="Salvar" type="image" src="images/icones/salvar.jpg" /><br />Salvar</a></td>
                    <td width="100" align="center" class="texto"><a href="categorias.php?tipo=<? echo $tipo; ?>"><img src="images/icones/categorias.jpg" border="0" /><br />Voltar</a></td>
                  </tr>
                </table>
                <table width="100%" border="0" cellspacing="0" cellpadding="0" class="texto" style="margin-top:20px;">
                  <tr>
                    <td height="27" colspan="2" align="left" style="padding:10px;">
                        <table width="100%" border="0" cellpadding="0" cellspacing="0" style="border:3px #F2F2F2 double;">
                          <tr>
                            <td width="43"><img src="images/icones/info.jpg" width="33" height="33" /></td>
                            <td>Edite uma categoria do banco de cadastros. Assim que for salva as altera&ccedil;&otilde;es j&aacute; estar&atilde;o dispon&iacute;veis no site. O nome e o tipo de subcategoria s&atilde;o campos de preenchimento obrigat&oacute;rio.</td>
                          </tr>
                        </table>                    </td>
                  </tr>
                  <tr>
                    <td width="130" height="27" align="right">Subcategoria: </td>
                    <td width="570" align="left">
						<select id="subcategoria"  name="subcategoria" class="inputbox">
                    	<?php
						if ($subcategoria == "0") {
							echo "<option value=\"0\" selected=\"selected\">N&atilde;o &eacute; subcategoria</option>\n";
						} else {
							echo "<option value=\"0\">N&atilde;o &eacute; subcategoria</option>\n";
						}							
						do {
							$id_categoria = $monta_select_categorias["id"];
							$nome_categoria = $monta_select_categorias["nome"];
							#Imprime o select com todas as categorias
							if ($subcategoria == $id_categoria) {
								echo "<option value=\"$id_categoria\" selected=\"selected\">$nome_categoria</option>\n";
							} else {
								echo "<option value=\"$id_categoria\">$nome_categoria</option>\n";
							}
						}
						while ($monta_select_categorias = mysql_fetch_array($resultado_categorias)); 
						?>
                        </select>
                    </td>
                  </tr>
                  <tr>
                    <td width="130" height="27" align="right">Nome: </td>
                    <td width="570" align="left"><input name="nome" type="text" id="nome" value="<?php echo $nome; ?>" class="inputbox" /><input name="id" type="hidden" value="<?php echo $id; ?>"></td>
                  </tr>
                  <tr>
                    <td width="130" height="27" align="right" valign="top">Descri&ccedil;&atilde;o: </td>
                    <td width="570" align="left"><textarea name="descricao" rows="10" id="descricao" class="inputbox"><?php echo $descricao; ?></textarea></td>
                  </tr>
                  <tr>
                    <td align="left">&nbsp;</td>
                    <td width="570" align="left" style="padding-top:15px;"><input name="Salvar" type="image" src="images/icones/salvar.jpg" /><? if ($id!="7") { ?>&nbsp;&nbsp;&nbsp;&nbsp;<a href="#" onclick="confirma('categorias.php?acao=apagar&id=<? echo $id; ?>&tipo=<? echo $tipo; ?>')"><img src="images/icones/apagar.jpg" border="0" /></a><? } ?></td>
                  </tr>
              </table>
          </td>
        </tr>
    </table>
    </form>
<?php
#Se acao estiver vazio faz a lista do conte&uacute;do (nao sendo verdaderio em nenhum dos if e elseif acima)
} else {
	
	$filtro_paginacao = "&tipo=".$tipo;

	#Faz a pagina&ccedil;&atilde;o
	$pagina = $_GET['pagina'];
	#Faz a contagem de registros para fazer o c&aacute;lculo do n&uacute;mero total de p&aacute;ginas
	$contagem_total = "SELECT COUNT(*) FROM categorias WHERE tipo='$tipo'";
	$num_por_pagina=8;
	include("paginacao.php");

	#Faz a sele&ccedil;&atilde;o no banco para a listagem de TODO o conte&uacute;do
	$query = "SELECT * FROM categorias WHERE tipo='$tipo' ORDER BY id ASC LIMIT $primeiro_registro, $num_por_pagina";
	$resultado = mysql_query($query);
	$monta_select = mysql_fetch_array($resultado);
	echo $topo;
?>
	<script src="js/categorias.js" type="text/javascript"></script> 
	<table width="700" border="0" cellspacing="0" cellpadding="0" align="center" style="background:url(images/fundo_painel.jpg) bottom right no-repeat;">
		<tr>
			<td>
				<table width="100%" border="0" cellspacing="0" cellpadding="0" style="border:3px #F2F2F2 double; padding:5px 10px 0px 10px; background-color:#FFFFFF;">
				  <tr>
					<td><img src="images/icones/categorias.jpg" align="absmiddle" /><span class="titulo">Administrar Categorias</span></td>
					<td width="100" align="center" class="texto"><a href="categorias.php?acao=adicionar&tipo=<? echo $tipo; ?>" target="_self"><img src="images/icones/add.jpg" border="0" /><br />
					Cadastrar Categoria</a></td>
				  </tr>
				</table>
				<?
				if($_GET['info'] == "falhou") {
					$erro = $_GET['causa'];
				?>
				<table width="100%" border="0" cellspacing="0" cellpadding="0" style="padding:15px;">
				  <tr>
					<td align="center"><img src="images/icones/aviso.jpg" align="absmiddle"/><span class="erro"><? echo $erro; ?></span></td>
				  </tr>
				</table>
				<? } 
				if($_GET['info'] == "ok") {
					$ok = $_GET['causa'];
				?>
				<table width="100%" border="0" cellspacing="0" cellpadding="0" style="padding:15px;">
				  <tr>
					<td align="center"><img src="images/icones/aviso.jpg" align="absmiddle"/><span class="ok"><? echo $ok; ?></span></td>
				  </tr>
				</table>
				<? } ?>
				<table width="100%" border="0" cellspacing="0" cellpadding="0" class="texto" style="border:1px solid #747474; margin-top:10px;">
				  <tr>
					<td colspan="2" align="center" height="30" width="60" style="border-bottom:1px solid #747474;"><strong>A&ccedil;&otilde;es</strong></td>
					<td style="border-bottom:1px solid #747474;" width="370"><strong>Nome da Categoria</strong></td>
					<td style="border-bottom:1px solid #747474;" width="270"><strong>Subcategoria</strong></td>
				  </tr>
				  <?php
					if ($monta_select == "") {
						echo "<tr><td colspan=\"4\" align=\"center\" valign=\"middle\" height=\"30\"><strong>N&atilde;o existem categorias cadastradas</strong></td></tr>";
					} else {
					#In&iacute;cio do Loop que ir&aacute; montar a tabela dos registros
					do {
						$id = $monta_select["id"];
						$subcategoria = $monta_select ["subcategoria"];
						if ($subcategoria == "0") {
							$nome_subcategoria = "Categoria Principal";
						} else {
							$query_subcategoria = "SELECT * FROM categorias WHERE id='$subcategoria' and tipo='$tipo'";
							$resultado_subcategoria = mysql_query($query_subcategoria);
							$monta_select_subcategoria = mysql_fetch_array($resultado_subcategoria);
							$nome_subcategoria = $monta_select_subcategoria["nome"];
						}
						$nome = $monta_select["nome"];
						#Imprime a linha da tabela dos conte&uacute;dos
						echo "<tr>\n";
						echo "<td width=\"30\" height=\"32\" style=\"border-bottom:1px solid #CCCCCC;\"><a href=\"categorias.php?acao=editar&id=$id&tipo=$tipo\"><img src=\"images/icones/editar_mini.png\" border=\"0\" alt=\"Editar\" title=\"Editar\" /></a></td>\n";
						if(($id=="0") OR ($id=="-1")) {
							echo "<td width=\"30\" style=\"border-bottom:1px solid #CCCCCC;\"><img src=\"images/icones/apagar_mini_off.png\" border=\"0\" alt=\"N&atilde;o &eacute; poss&iacute;vel Apagar esta categoria\" title=\"N&atilde;o &eacute; poss&iacute;vel Apagar esta categoria\" /></td>\n";
						} else {
							echo "<td width=\"30\" style=\"border-bottom:1px solid #CCCCCC;\"><a href=\"#\" onclick=\"confirma('categorias.php?acao=apagar&id=$id&tipo=$tipo')\"><img src=\"images/icones/apagar_mini.png\" border=\"0\" alt=\"Apagar\" title=\"Apagar\" /></a></td>\n";
						}
						echo "<td style=\"border-bottom:1px solid #CCCCCC;\">$nome [ID: $id]</td>\n";
						echo "<td style=\"border-bottom:1px solid #CCCCCC;\">$nome_subcategoria</td>\n";
						echo "</tr>\n";
					}
					while ($monta_select = mysql_fetch_array($resultado)); 
					}
				  ?>
					<? if ($navegacao) { ?><tr><td colspan="6" align="center" valign="middle" height="30"><? echo $navegacao; ?></td></tr><? } ?>
				</table>
			</td>
		</tr>
	</table>
<?php
}
echo $rodape;
?>